Functions | Variables

# depot.cpp File Reference

Handling of depots. More...

`#include "stdafx.h"`
`#include "depot_base.h"`
`#include "order_backup.h"`
`#include "order_func.h"`
`#include "window_func.h"`
`#include "core/pool_func.hpp"`
`#include "vehicle_gui.h"`
`#include "vehiclelist.h"`
`#include "road_map.h"`
`#include "rail_map.h"`
`#include "water_map.h"`
`#include "station_map.h"`
`#include "depot_map.h"`

Go to the source code of this file.

## Functions
DiagDirection | GetDepotDirection (TileIndex tile, TransportType type)
| Returns the direction the exit of the depot on the given tile is facing.
## Variables
DepotPool | _depot_pool ("Depot")
| All our depots tucked away in a pool.

## Detailed Description

Handling of depots.

Definition in file depot.cpp.

## Variable Documentation

DepotPool _depot_pool("Depot")

All our depots tucked away in a pool.